Bug 408801 - enhancement for anaconda in rescue mode
enhancement for anaconda in rescue mode
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 11:15 EST by Domingo Becker
Modified: 2007-12-07 08:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 08:51:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2007-12-03 11:15:47 EST
Description of problem:
It's not a problem. Just a suggested enhancement.
In a laptop I broken grub and its configuration.
I solved it starting with the dvd in rescue mode.
The suggested enhancement is to put one more comment in the screen before the
drop to a shell with the following:

If you need to repair a grub install, after doing "chroot /mnt/sysimage" you
must do a "/sbin/grub-install /dev/sda". Replace /dev/sda with the appropiate
device for your installation. Then reboot.

Version-Release number of selected component (if applicable):
Fedora 8

How reproducible:
After installed Fedora 8, install windows in another partition.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Expected results:


Additional info:
Comment 1 Jeremy Katz 2007-12-04 17:05:09 EST
This is something that Joel and MArtin are looking at simplementing
Comment 2 Martin Sivák 2007-12-05 06:25:49 EST
There is a project targeted at this kind of tasks called First Aid Kit.

It is hosted at https://hosted.fedoraproject.org/projects/firstaidkit/, where
you can also look at the sources or participate in plugins development.
Comment 3 Domingo Becker 2007-12-05 08:34:02 EST
Only the comment until First Aid Kit is released, would be enough.
It would have saved me half hour searching for the solution, and it's that
simple as that comment.
I think in other users that would make the same mistake I made.

I would really like to take active part in developement, but you guys use python
too mcuh. I only use C++ and C.
I guess it will be when I learn a little more of python programming.

kind regards
Comment 4 Joel Andres Granados 2007-12-07 08:51:40 EST
You can participate actively with any language.  We have designed the
FirstAidKit to be plugable.  so if you wish to create a plugin in C or C++ you
can do so.  To connect it to the main App you only need moderate Python knowledge.
About the commet before going into the shell.  I don't feel confortable with it
for two reasons:

1. FirstAidKit is going to be included in F9, As would the comment.  So in this
case I prefer to use the FirstAidKit Stuff instead of putting in a comment and
then forgetting to erase it.

2. There are a bunch of things that can go wrong with a system.  why only have a
comment about the grub stuff.  why not have comments about lvm, raid, root
passwords, partitioning, init scripts......  It would be a big list and would
not fit before the shell.

closing...

Note You need to log in before you can comment on or make changes to this bug.